Bug 133623 - rpm 4.2.x doesn't handle %{perl_vendorlib}, %{perl_vendorarch} and more
Summary: rpm 4.2.x doesn't handle %{perl_vendorlib}, %{perl_vendorarch} and more
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-25 10:23 UTC by Robert Scheck
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-26 17:38:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2004-09-25 10:23:23 UTC
Description of problem:
rpm 4.2.x of Red Hat Enterprise Linux 3 isn't able to handle 
%{perl_vendorlib} correct, but %{perl_sitearch} and %{perl_archlib}
work.

Version-Release number of selected component (if applicable):
rpm-4.2.3-10

How reproducible:
Everytime, see below.

Steps to Reproduce:
1a. Use "%{perl_vendorlib}" in a spec file
  OR
1b. Use "%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}" 
    and "%{perl_vendorlib}" in a spec file
2. Build the RPM.
3. Try to install the RPM.
4. Die with: "/usr/lib/perl5/vendor_perl/5.8.0 is needed by XYZ".
5. /usr/lib/perl5/vendor_perl/5.8.0 exists, see:
   # file /usr/lib/perl5/vendor_perl/5.8.0
   /usr/lib/perl5/vendor_perl/5.8.0: directory
   #
  
Actual results:
%{perl_vendorlib} isn't working.

Expected results:
Working %{perl_vendorlib}.

Comment 1 Robert Scheck 2004-09-25 10:32:59 UTC
BTW, %{perl_vendorarch}, %{perl_sitelib} and %{perl_privlib} don't 
also work as expected.

Comment 2 Jeff Johnson 2004-09-26 17:38:03 UTC
The fix for this is to upgrade RHEL3 to rpm-4.3.x, not otherwise.

The problem exists for any additional change to default rpm
configuration, exists for all versions of rpm prior to rpm-4.3,
not just RHEL3. You can add the macros to what was then the
rpm default configuration.


Note You need to log in before you can comment on or make changes to this bug.